# $Revision: 1.6 $, $Date: 2011/10/04 13:47:33 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Identify
Summary:	Sub::Identify - Retrieve names of code references
Summary(pl.UTF-8):	Sub::Identify - odtwarzanie nazw z referencji do kodu
Name:		perl-Sub-Identify
Version:	0.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cfa7c0d73090a2b4fb75d8a581a3ca81
URL:		http://search.cpan.org/dist/Sub-Identify/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sub::Identify allows you to retrieve the real name of code references.
For this, it uses Perl's introspection mechanism, provided by the B
module.

%description -l pl.UTF-8
Sub::Identify umożliwia odtworzenie prawdziwej nazwy z referencji do
kodu. W tym celu wykorzystuje mechanizm obserwacyjny Perla
udostępniany przez moduł B.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Sub/*.pm
%dir %{perl_vendorarch}/auto/Sub/Identify
%{perl_vendorarch}/auto/Sub/Identify/Identify.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sub/Identify/Identify.so
%{_mandir}/man3/Sub::Identify.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sub-Identify.spec,v $
Revision 1.6  2011/10/04 13:47:33  lisu
- rel 3

Revision 1.5  2011/02/22 18:24:03  qboosh
- package .bs

Revision 1.4  2011/02/05 01:16:50  sparky
- marked pl description as UTF-8

Revision 1.3  2010/06/06 08:42:33  arekm
- release 2

Revision 1.2  2009/02/01 12:26:58  radek
- version 0.04, not noarch anymore

Revision 1.1  2008/07/20 12:04:43  qboosh
- new
